## ------------------------------------------------------------------------
dim(forest_npp)
colnames(forest_npp)

## ------------------------------------------------------------------------
example1 <- integrate(
    vals = forest_npp[, 1], 
    pdfs = as.list(forest_npp[c("LEA_Tundra", "DGVM_Tundra")]))
summary(example1)
    
example2 <- integrate(
    vals = forest_npp90[, 1], 
    pdfs = as.list(forest_npp90["LEA_Tundra"]),
    cdfs = list("DGVM_Tundra" = function(x)(pnorm(x, mean = 202, sd = 52))))
summary(example2)

## ------------------------------------------------------------------------
example <- integrate(c(1, 2), list(c(0.75, 0.25), c(0.75, 0.25)))
product(example)
average(example)
statistics(example)

