% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/print.R
\name{print.distribution_table}
\alias{print.distribution_table}
\title{Print method}
\usage{
\method{print}{distribution_table}(x, ...)
}
\arguments{
\item{x}{an R object of the distribution_table class}

\item{...}{other arguments passed to methods}
}
\description{
Prints an object of the distribution_table class.
}
\details{
The print format matches a format for the data.frame class. The output 
contains discrete probability distributions of the sources and their
product. The column \emph{x} returns a random variable range. The 
\emph{Product} column has probabilities from the product distribution.
}
\examples{
# S3 method for class "distribution_table"
pdf1 <- c(0.75, 0.25)
pdf2 <- c(0.75, 0.25)
bins <- c(1, 2)
print(integrate(bins, list(pdf1, pdf2)))
}
\seealso{
\code{\link{product}}
}

