% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/statistics.R
\name{statistics}
\alias{statistics}
\title{Descriptive statistics}
\usage{
statistics(x, ...)
}
\arguments{
\item{x}{an R object with source distributions}

\item{...}{other arguments passed to methods}
}
\value{
A data frame with means and standard deviations. The the last two 
columns "Product" and "Average" contain estimates for the corresponding 
integrated distributions.
}
\description{
Provides descriptive statistics of the source and integrated distributions.
}
\details{
Descriptive statistics include distribution mean and standard deviation. 
Source distributions are combined into the product and average integrated
distributions.
}
\examples{
# S3 method for class "distribution_table"
pdf1 <- c(0.75, 0.25)
pdf2 <- c(0.75, 0.25)
bins <- c(1, 2)
statistics(integrate(bins, list(pdf1, pdf2)))
}
\seealso{
\code{\link{product}}, \code{\link{average}}
}

