% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/summary.R
\name{summary.distribution_table}
\alias{summary.distribution_table}
\title{Summary of integrated distributions}
\usage{
\method{summary}{distribution_table}(object, ...)
}
\arguments{
\item{object}{an R object of the distribution_table class}

\item{...}{other arguments passed to methods}
}
\value{
A data frame with means and standard deviations. The columns 
"Product" and "Average" contain estimates for the corresponding integrated 
distributions.
}
\description{
Provides summary statistics of integrated combinations of the source
distributions.
}
\details{
Distributions are summarized by their mean and standard deviation. 
Source distributions are combined into the product and average integrated
distributions.
}
\examples{
# S3 method for class "distribution_table"
pdf1 <- c(0.75, 0.25)
pdf2 <- c(0.75, 0.25)
bins <- c(1, 2)
summary(integrate(bins, list(pdf1, pdf2)))
}
\seealso{
\code{\link{statistics}}, \code{\link{product}}, 
\code{\link{average}}
}

