context("Print method")

test_that("Print should return distributions", {
  # Act
  output <- capture.output(print(
    distribution_table(
      c(1, 2),
      list(c(0.3, 0.7), c(0.5, 0.5)))))

  # Assert
  expect_that(
    gsub("\\s+", " ", output[1]),
    equals(" x P1 P2 Product"))

  expect_that(
    gsub("\\s+", " ", output[2]),
    equals(paste("1 1",
                 format(0.3),
                 format(0.5),
                 format(0.3),
                 sep = " ")))

  expect_that(
    gsub("\\s+", " ", output[3]),
    equals(paste("2 2",
                 format(0.7),
                 format(0.5),
                 format(0.7),
                 sep = " ")))
})
